Public Member Functions | Public Attributes | List of all members
clan::Line2x< Type > Class Template Reference
clanCore Math

2D line More...

`#include <line.h>`

## Public Member Functions
| Line2x ()
| Line2x (const Line2x< Type > &copy)
| Line2x (const Vec2< Type > &point_p, const Vec2< Type > &point_q)
| Line2x (const Vec2< Type > &point_p, Type gradient)
Attributes
Vec2< Type > | get_intersection (const Line2x< Type > &second, bool &intersect) const
| Return the intersection of this and other line. More...
Type | point_right_of_line (Vec2< Type > point) const
| Return [<0, 0, >0] if the Point P is right, on or left of the line trough A,B. More...
Operators
Line2x< Type > & | operator= (const Line2x< Type > &copy)
| = operator. More...
bool | operator== (const Line2x< Type > &line) const
| == operator. More...
bool | operator!= (const Line2x< Type > &line) const
| != operator. More...

## Public Attributes
Vec2< Type > | p
| First point on the line. More...
Vec2< Type > | q

## Detailed Description

### template<typename Type>
class clan::Line2x< Type >

2D line

These line templates are defined for: int (Line2i), float (Line2f), double (Line2d)

The documentation for this class was generated from the following file:

- line.h